Subject: Re: bug#46047: 28.0.50; Namazu-based mail searching not working anymore

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 May 2021 12:08:47 +0300

On May 18, 2021 11:46:52 AM GMT+03:00, Torsten Bronger <[email-masked]> wrote:
> Hallöchen!
> 
> Eric Abrahamsen writes:
> 
> > [...]
> >
> >>> [...]
> >>>
> >>> Earlier in the day I pushed a change to Emacs master to use
> >>> `condition-case-unless-debug' in `nnselect-run'. If you're in the
> >>> habit of running a recent Emacs, would you pull from source and
> >>> rebuild, then `toggle-debug-on-error' and run this search again,
> >>> posting the backtrace?
> >>
> >> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> >>   file-readable-p(nil)
> >
> > This just means that when namazu returns its search results, this
> > function fails to find a filename. In other words, the (match-string
> 4)
> > returns nil.
> 
> I made some progress with this.  The buffer containing namazu’s
> output contains trailing garbage on my system.  The tailing string
> is: "Process search-nnml: finished".  This cannot be matched, of
> course, which makes everything fail.
> 
> I don’t know where this comes from, though.
> 
> Regards,
> Torsten.

I think it's process exit status notification and comes from the process sentinel function.